SOCK_UNREGISTER(9)

NAME
sock_unregister - remove a protocol handler

SYNOPSIS

void sock_unregister(int family);

ARGUMENTS

family
    protocol family to remove

DESCRIPTION

This function is called by a protocol handler that wants to remove its address family, and have it unlinked from the new socket creation.

If protocol handler is a module, then it can use module reference counts to protect against new references. If protocol handler is not a module then it needs to provide its own protection in the ops->create routine.

COPYRIGHT